#pragma once

#include <vector>

#include "ImguiBase.h"
#include "ApplicationData.h"

void init(DrawData& drawData, ApplicationData& customData);
void draw(DrawData& drawData, ApplicationData& customData);
void cleanup(DrawData& drawData, ApplicationData& appData);

ImVec2 menuBar(DrawData& drawData, ApplicationData& appData);
ImVec2 audioDeviceWindow(ApplicationData& appData, std::vector<AudioDevice>& deviceList, const char* title);
void drawCircle(float radius, ImU32 color);

LRESULT trayIconEventHandler(int code, WPARAM wParam, LPARAM lParam);
